Skip to main content
GET
/
business
/
card
/
{reference}
/
transactions
Card statement
curl --request GET \
  --url https://api-staging.usenumero.com/numeroaccount/api/v1/business/card/{reference}/transactions \
  --header 'X-Numero-Api-Key: <api-key>'
{ "data": { "cardReference": "<string>", "transactions": [ { "reference": "<string>", "type": "Settlement", "amount": 123, "currency": "<string>", "status": "<string>", "description": "<string>", "merchantName": "<string>", "merchantId": "<string>", "network": "<string>", "country": "<string>", "occurredAt": "2023-11-07T05:31:56Z" } ] }, "error": { "message": "<string>", "param": "<string>" }, "meta": { "request_id": "<string>", "pagination": { "page": 123, "page_size": 123, "total": 123, "has_more": true } } }

Authorizations

X-Numero-Api-Key
string
header
required

Your business API key (live_key_...). Issued on approval; managed in Dashboard β†’ Settings β†’ Developer.

Path Parameters

reference
string
required

Query Parameters

pageNumber
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 200

Response

Card transactions

Canonical response envelope for the public surface. data on success, error on failure.

data
object
required

Endpoint payload on success (object or array); null on failure.

error
object
required
meta
object
required